commit: b9f61c684de73b4c7c7f3e5552b29b5bb9b01da8
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 27 04:56:06 2023 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Apr 27 04:56:16 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9f61c68
net-libs/nodejs: sync src_test for 16.20.0 and 18.16.0
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>
net-libs/nodejs/nodejs-16.20.0.ebuild | 22 ++++++++++------------
net-libs/nodejs/nodejs-18.16.0.ebuild | 23 ++++++++++-------------
2 files changed, 20 insertions(+), 25 deletions(-)
diff --git a/net-libs/nodejs/nodejs-16.20.0.ebuild
b/net-libs/nodejs/nodejs-16.20.0.ebuild
index f7e831387ba3..674133fd6675 100644
--- a/net-libs/nodejs/nodejs-16.20.0.ebuild
+++ b/net-libs/nodejs/nodejs-16.20.0.ebuild
@@ -93,13 +93,6 @@ src_prepare() {
# We need to disable mprotect on two files when it builds Bug 694100.
use pax-kernel && PATCHES+=(
"${FILESDIR}"/${PN}-16.4.2-paxmarking.patch )
- # All this test does is check if the npm CLI produces warnings of any
sort,
- # failing if it does. Overkill, much? Especially given one possible
warning
- # is that there is a newer version of npm available upstream (yes, it
does
- # use the network if available), thus making it a real possibility for
this
- # test to begin failing one day even though it was fine before.
- rm -f test/parallel/test-release-npm.js
-
default
}
@@ -222,11 +215,16 @@ src_install() {
}
src_test() {
- if has usersandbox ${FEATURES}; then
- rm -f "${S}"/test/parallel/test-fs-mkdir.js
- ewarn "You are emerging ${PN} with 'usersandbox' enabled.
Excluding tests known to fail in this mode." \
- "For full test coverage, emerge =${CATEGORY}/${PF} with
'FEATURES=-usersandbox'."
- fi
+ local drop_tests=(
+ test/parallel/test-dns-setserver-when-querying.js
+ test/parallel/test-fs-mkdir.js
+ test/parallel/test-fs-utimes-y2K38.js
+ test/parallel/test-release-npm.js
+ test/parallel/test-socket-write-after-fin-error.js
+ test/parallel/test-strace-openat-openssl.js
+ test/sequential/test-util-debug.js
+ )
+ rm "${drop_tests[@]}" || die "disabling tests failed"
out/${BUILDTYPE}/cctest || die
"${EPYTHON}" tools/test.py --mode=${BUILDTYPE,,} --flaky-tests=dontcare
-J message parallel sequential || die
diff --git a/net-libs/nodejs/nodejs-18.16.0.ebuild
b/net-libs/nodejs/nodejs-18.16.0.ebuild
index f9a22254f9d2..8d12026d01b2 100644
--- a/net-libs/nodejs/nodejs-18.16.0.ebuild
+++ b/net-libs/nodejs/nodejs-18.16.0.ebuild
@@ -110,13 +110,6 @@ src_prepare() {
# We need to disable mprotect on two files when it builds Bug 694100.
use pax-kernel && PATCHES+=( "${FILESDIR}"/${P}-paxmarking.patch )
- # All this test does is check if the npm CLI produces warnings of any
sort,
- # failing if it does. Overkill, much? Especially given one possible
warning
- # is that there is a newer version of npm available upstream (yes, it
does
- # use the network if available), thus making it a real possibility for
this
- # test to begin failing one day even though it was fine before.
- rm -f test/parallel/test-release-npm.js
-
default
}
@@ -240,12 +233,16 @@ src_install() {
}
src_test() {
- rm -f "${S}"/tests/parallel/test-dns-setserver-when-querying.js
- if has usersandbox ${FEATURES}; then
- rm -f "${S}"/test/parallel/test-fs-mkdir.js
- ewarn "You are emerging ${PN} with 'usersandbox' enabled.
Excluding tests known to fail in this mode." \
- "For full test coverage, emerge =${CATEGORY}/${PF} with
'FEATURES=-usersandbox'."
- fi
+ local drop_tests=(
+ test/parallel/test-dns-setserver-when-querying.js
+ test/parallel/test-fs-mkdir.js
+ test/parallel/test-fs-utimes-y2K38.js
+ test/parallel/test-release-npm.js
+ test/parallel/test-socket-write-after-fin-error.js
+ test/parallel/test-strace-openat-openssl.js
+ test/sequential/test-util-debug.js
+ )
+ rm "${drop_tests[@]}" || die "disabling tests failed"
out/${BUILDTYPE}/cctest || die
"${EPYTHON}" tools/test.py --mode=${BUILDTYPE,,} --flaky-tests=dontcare
-J message parallel sequential || die